package com.yihu.hos.system.service.intf;

import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.system.model.SystemMenu;
import com.yihu.hos.system.model.SystemMenuAction;

import java.util.Map;

/**
 * Created by chenweida on 2016/1/18.
 */
public interface IMenuManager {
    Result getMenuList(Map<String, Object> params) throws Exception;

    SystemMenu getMenuById(String menuId) throws Exception;

    Result addMenu(SystemMenu obj) throws Exception;

    Result updateMenu(SystemMenu obj) throws Exception;

    Result activityMenu(String orgId, String activityFlag) throws Exception;

    Result deleteMenu(String id) throws Exception;
    //==============================menuAction==================================

    Result getMenuActionList(Map<String, Object> params) throws Exception;

    SystemMenuAction getMenuActionById(String menuId) throws Exception;

    Result addMenuAction(SystemMenuAction obj) throws Exception;

    Result updateMenuAction(SystemMenuAction obj) throws Exception;

    Result activityMenuAction(String orgId, String activityFlag) throws Exception;

    Result deleteMenuAction(String id) throws Exception;
}
